<?php
// $Id: compatible.php,v 1.8 2006/09/29 12:48:54 ohwada Exp $

// 2006-09-20 K.OHWWADA
// error message
// show content with html
// table manage

// 2006-07-08 K.OHWADA
// support podcast
// link exist check

// 2006-06-04 K.OHWADA
// this is new file

//=========================================================
// RSS Center Module
// 2006-06-04 K.OHWADA
//=========================================================

//---------------------------------------------------------
// compatible for v0.3
//---------------------------------------------------------
if( !defined('_RSSC_DB_ERROR') ) 
{
// error message
	define('_RSSC_DB_ERROR',           'RSSC DB Error');
	define('_RSSC_DISCOVER_SUCCEEDED', 'RSS Auto Discovery Succeeded');
	define('_RSSC_DISCOVER_FAILED',    'RSS Auto Discovery Failed');
	define('_RSSC_PARSE_MSG',          'RSS Parse Message');
	define('_RSSC_PARSE_FAILED',            'RSS Parse Failed');
	define('_RSSC_PARSE_NOT_READ_XML_URL',  'RSS Parse Failed: not read RSS url');
	define('_RSSC_PARSE_NOT_FIND_ENCODING', 'RSS Parse Failed: not find encoding');
	define('_RSSC_REFRESH_ERROR', 'RSS Refresh Error');
	define('_RSSC_LINK_NOT_EXIST',  'There are no corresponding link in RSSC moudle');
	define('_RSSC_LINK_EXIST_MORE', 'There are twe or more links which have same "RDF/RSS/ATOM URL"');
	define('_RSSC_LINK_ALREADY',    'This link exists already which have same "RDF/RSS/ATOM URL"');

// refresh link
	define('_RSSC_REFRESH_LINK', 'Refresh RDF/RSS/ATOM feeds');
	define('_RSSC_REFRESH_LINK_DSC', 'Then, refresh RSS feeds <br />Discover <b>RDF/RSS/ATOM URL</b> automatically and detect <b>Encoding</b> automatically, <br />if they are not set up.');
	define('_RSSC_REFRESH_LINK_FINISHED', 'Refresh feeds finished');

// for other module
	define('_RSSC_RSSC_LID', 'Link ID of RSSC module');
	define('_RSSC_RSSC_LID_UPDATE', 'Update Link ID of RSSC module');
	define('_RSSC_GOTO_RSSC_ADMIN_LINK', 'Goto admin page of RSSC module');
}

if( !defined('_AM_RSSC_CONF_SHOW_TITLE_HTML') ) 
{
// show content with html
	define('_AM_RSSC_CONF_SHOW_TITLE_HTML','Use of HTML tag of the title');
	define('_AM_RSSC_CONF_SHOW_TITLE_HTML_DSC', 'When selcet "YES", show title with HTML tag, if title have HTML tag. <br />When selcet "NO", show title striping HTML tag. ');
	define('_AM_RSSC_CONF_SHOW_CONTENT_HTML','Use of HTML tag of the content');
	define('_AM_RSSC_CONF_SHOW_CONTENT_HTML_DSC', 'When selcet "YES", show content with HTML tag, if content have HTML tag. <br />When selcet "NO", show content striping HTML tag. ');
	define('_AM_RSSC_CONF_SHOW_MAX_CONTENT','The maximum number of characters of Content');
	define('_AM_RSSC_CONF_SHOW_MAX_CONTENT_DSC', 'HTML tags are stripped, when more than this number<br /><b>-1</b> is unlimited');
	define('_AM_RSSC_CONF_SHOW_NUM_CONTENT','Maximum number of RSS/ATOM feeds displayed content');
	define('_AM_RSSC_CONF_SHOW_NUM_CONTENT_DSC', 'Enter the maximum number of RSS/ATOM feeds displayed content.');
	define('_AM_RSSC_CONF_SHOW_BLOG_LID','Link ID to show blog');
//	define('_AM_RSSC_CONF_SHOW_BLOG_LID_DSC', 'Enter Link ID to be show blog.');

	define('_AM_RSSC_TABLE_MANAGE','DB Table Manage');
}

//---------------------------------------------------------
// compatible for v0.2
//---------------------------------------------------------
// main
if( !defined('_RSSC_PODCAST') ) 
{
// bread crumb
	define('_HOME', 'HOME');

// podcast
	define('_RSSC_PODCAST', 'Podcast');
	define('_RSSC_ENCLOSURE_URL',    'Enclosure Url');
	define('_RSSC_ENCLOSURE_TYPE',   'Enclosure Type');
	define('_RSSC_ENCLOSURE_LENGTH', 'Enclosure Length');
}

// admin
if( !defined('_AM_RSSC_CONF_INDEX_DESC') ) 
{
// description at main
	define('_AM_RSSC_CONF_INDEX_DESC','Description at Main page');
	define('_AM_RSSC_CONF_INDEX_DESC_DSC', 'Enter description note, when you want to display at a main page.');
	define('_AM_RSSC_CONF_INDEX_DESC_DEFAULT', '<div align="center" style="color: #0000ff">Here are description note.<br />You can edit description note at "Module Configuration 2".<br /></div><br />');

// link table
	define('_AM_RSSC_LINK_DESC','Discover <b>RDF/RSS/ATOM URL</b> automatically and detect <b>Encoding</b> automatically, <br />when you dont fill, <br />if web site support "RSS Auto Discovery"');
	define('_AM_RSSC_LINK_EXIST', 'Already exists this "RDF/RSS/ATOM URL"');
	define('_AM_RSSC_LINK_EXIST_MORE','There are twe or more links which have same "RDF/RSS/ATOM URL" ');
	define('_AM_RSSC_AUTO_FIND_FAILD','RSS Auto Discovery Faild');
	define('_AM_RSSC_LINK_FORCE','Froce to save');

// black & white table
	define('_AM_RSSC_BLACK_MEMO','Memo');
}

//---------------------------------------------------------
// compatible for v0.1
//---------------------------------------------------------
// main
if( !defined('_RSSC_SINGLE_LINK') ) 
{
// single link
	define('_RSSC_SINGLE_LINK',  'Single Link');
	define('_RSSC_SINGLE_LINK_UTF8', 'Single Link with UTF-8');
	define('_RSSC_SINGLE_SUMMARY', 'Summary');
	define('_RSSC_SINGLE_CONTENT', 'Content allowed HTML tags');
	define('_RSSC_UTF8_SUMMARY', 'Summary with UTF-8');
	define('_RSSC_UTF8_CONTENT', 'Content allowed HTML tags with UTF-8');

// detect encoding
	define('_RSSC_ASSUME_ENCODING', 'assume xml encoding %s ,<br />because cannot detect encoding automatically');

// rss item
	define('_RSSC_CREATED', 'Created');
	define('_RSSC_ATOM_CONTRIBUTOR_NAME', 'Contoributor');
	define('_RSSC_ATOM_CONTRIBUTOR_URI',  'Contoributor URL');
	define('_RSSC_ATOM_CONTRIBUTOR_EMAIL','Contoributor email');

// no data
	define('_RSSC_NO_HEADLINK','there are no selected headlink link');
	define('_RSSC_NO_FEED','there are no feed data');
}

// admin
if( !defined('_AM_RSSC_BUILD') ) 
{
// build rss
	define('_AM_RSSC_BUILD', 'Build RDF/RSS/ATOM');
	define('_AM_RSSC_BUILD_DSC',  'Build and show RDF/RSS/ATOM for debug');
	define('_AM_RSSC_BUILD_RDF',  'Build RDF');
	define('_AM_RSSC_BUILD_RSS',  'Build RSS');
	define('_AM_RSSC_BUILD_ATOM', 'Build ATOM');

// parse rss
	define('_AM_RSSC_PARSE_RSS', 'Parse RDF/RSS/ATOM');

// refresh link
	define('_AM_RSSC_REFRESH_LINK', 'Refresh RDF/RSS/ATOM feeds');
	define('_AM_RSSC_REFRESH_LINK_DSC', 'Then, refresh RSS feeds <br />Discover RSS URL automatically and detect RSS ENCODING automatically, <br />if they are not set up.');
	define('_AM_RSSC_REFRESH_LINK_FINISHED', 'Refresh feeds finished');
}

?>